/* SwissBetty-TV-Fernbedienung: Amy72.c */

/* eine simple App auf der Betty, die ein Bild anzeigt, bis man einen Knopf drckt */
#include "LPC22xx.h"
#include "StdTypes.h"
#include "hallo_w.inc"
#include "hey.inc"
#include "jaaha.inc"


#if defined (GCC)
#include "BettyAppGcc.h"
#else
#include "BettyAppArm.h"
#endif

#include "amy72.inc"

const RECT R = { 0, 145, 12, 159};


int main(void)
{ int x, y;
  char c;
  FillLanes (dkgr);
  LichtEin();
  x = 128 - amy72[0];
  if (x<0) x = 0;
  x = x >> 1;
  y = 160 - amy72[1];
  if (y<0) y = 0;
  y = y >> 1;

  CgPicture_at(x,y,(char*) &amy72);
  ScrBlt();
  PlaySound((char*)&hallo);

  c = 0;
  while (c!=27)
  { if (IsKeyAvailable())
    { c = TranslateKeynum(GetKey());
      CgFillRect((RECT*)&R, black);
      CgCh_at(R.left+2,R.top, c, invert|idf_Simple6x13);
      ScrBlt();
      PlaySound((char*)&hey);
    }
  }
  FillLanes (white);
  PlaySound((char*)&jaaha);
  return 0;
}


